;====================================================
; Disappearing Note Block
; By Erik
;
; This note block will disappear after being jumped
; off of. Requires a custom bounce block.
;====================================================

!bounce_num     = $08

print "A note block that disappears after being jumped off of."

db $42
JMP MarioBelow : JMP MarioAbove : JMP Return
JMP SpriteV : JMP SpriteH
JMP MarioCape : JMP Return
JMP MarioAbove : JMP Return : JMP Return

MarioAbove:
        LDA.b #!bounce_num
        LDX #$02
        LDY #$03
        %spawn_bounce_sprite()
Return:
	RTL

SpriteV:
        %sprite_block_position()
        LDA !D8,x
        AND #$08
        BEQ Return
MarioBelow:
        LDX #$FF
        LDY #$00
        LDA.b #!bounce_num
        %spawn_bounce_sprite()
        RTL

SpriteH:
        LDA !14C8,x
        CMP #$0A
        BNE Return
        LDX #$FF
        LDY #$00
        LDA.b #!bounce_num
        %spawn_bounce_sprite()
        RTL

MarioCape:
        LDA $13E9|!addr
        STA $9A
        LDA $13EA|!addr
        STA $9B
        LDA $13EB|!addr
        STA $98
        LDA $13EC|!addr
        STA $99
        LDX #$FF
        LDY #$00
        LDA.b #!bounce_num
        %spawn_bounce_sprite()
        RTL

